<?php
/*
+-------------------------------------------------------------------------------+
|	Расширение:	Прокрутка страницы												|
+-------------------------------------------------------------------------------+
|	Версия:		1.0.1															|
|	Кодировка:	utf-8 without BOM												|
|	Дата:		02.09.2015 10:00:00												|
|	Лицензия:	GNU General Public License v2									|
|	Сайт:		http://www.precision-machines.ru								|
|	Почта:		ext@precision-machines.ru										|
|	Автор:		© Кадников Александр [Predator]									|
+-------------------------------------------------------------------------------+
|	© «PWG», 2004-2015. Все права защищены.										|
+-------------------------------------------------------------------------------+
*/

namespace Predator\PageScrolling\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{

	static public function getSubscribedEvents()
	{
		return array (
			'core.user_setup'	=>	'load_language_on_setup',
		);
	}

	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'Predator/PageScrolling',
			'lang_set' => 'PageScrolling',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}
}